Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load

From: Chong Yidong <[email-masked]>
Date: Tue, 31 Jan 2012 14:22:25 +0800

Michael Welsh Duggan <[email-masked]> writes:

> In certain circumstances, emacs running in daemon mode ends up in a high
> CPU state, and fills the .xsession-errors log with large numbers of
> "Back to top level." messages.  I am using a freshly bootstrapped bzr
> trunk checkout of emacs from 2012.01.29.
>
> Here follows the minimal set of steps I was able to determine that
> recreates the problem.  Small deviations from this (such as not using
> emacsclient) did not trigger the problem.  I am running Gnome 3 and the
> gnome-shell, but have seen (although not tested in detail) this same
> problem in a Gnome 2 desktop session.

Can you reproduce this with Emacs 23.4, or is this specific to the
trunk?